Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.vsb.schemas.v1
Class AddressType

    java.lang.Object
      be.vlaanderen.mercurius.vsb.schemas.v1.AddressType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ResidenceType

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:07:47+01:00",
               comments="JAXB RI v2.2.11")
    public class AddressType

extends Object
implements Serializable

used: ResidenceType

Java class for AddressType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AddressType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="StreetName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="HouseNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Box" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="ZIPCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="CityName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Country" type="{http://www.mercurius.vlaanderen.be/vsb/schemas/v1}CountryNisCodeType"/>
             <element name="CountryName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="AddressString" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="InsCode" type="{http://www.mercurius.vlaanderen.be/vsb/schemas/v1}MunicipalityNisCodeType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`AddressType()`

Method Summary
`String` | `getAddressString()` Gets the value of the addressString property.
`String` | `getBox()` Gets the value of the box property.
`String` | `getCityName()` Gets the value of the cityName property.
`int` | `getCountry()` Gets the value of the country property.
`String` | `getCountryName()` Gets the value of the countryName property.
`String` | `getHouseNumber()` Gets the value of the houseNumber property.
`Integer` | `getInsCode()` Gets the value of the insCode property.
`String` | `getStreetName()` Gets the value of the streetName property.
`String` | `getZIPCode()` Gets the value of the zipCode property.
`void` | `setAddressString(String value)` Sets the value of the addressString property.
`void` | `setBox(String value)` Sets the value of the box property.
`void` | `setCityName(String value)` Sets the value of the cityName property.
`void` | `setCountry(int value)` Sets the value of the country property.
`void` | `setCountryName(String value)` Sets the value of the countryName property.
`void` | `setHouseNumber(String value)` Sets the value of the houseNumber property.
`void` | `setInsCode(Integer value)` Sets the value of the insCode property.
`void` | `setStreetName(String value)` Sets the value of the streetName property.
`void` | `setZIPCode(String value)` Sets the value of the zipCode property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddressType

    public AddressType()

Method Detail

### getStreetName

    public String getStreetName()

  Gets the value of the streetName property.

  Returns:
    possible object is `String`

### setStreetName

    public void setStreetName(String value)

  Sets the value of the streetName property.

  Parameters:
    `value` - allowed object is `String`

### getHouseNumber

    public String getHouseNumber()

  Gets the value of the houseNumber property.

  Returns:
    possible object is `String`

### setHouseNumber

    public void setHouseNumber(String value)

  Sets the value of the houseNumber property.

  Parameters:
    `value` - allowed object is `String`

### getBox

    public String getBox()

  Gets the value of the box property.

  Returns:
    possible object is `String`

### setBox

    public void setBox(String value)

  Sets the value of the box property.

  Parameters:
    `value` - allowed object is `String`

### getZIPCode

    public String getZIPCode()

  Gets the value of the zipCode property.

  Returns:
    possible object is `String`

### setZIPCode

    public void setZIPCode(String value)

  Sets the value of the zipCode property.

  Parameters:
    `value` - allowed object is `String`

### getCityName

    public String getCityName()

  Gets the value of the cityName property.

  Returns:
    possible object is `String`

### setCityName

    public void setCityName(String value)

  Sets the value of the cityName property.

  Parameters:
    `value` - allowed object is `String`

### getCountry

    public int getCountry()

  Gets the value of the country property.

### setCountry

    public void setCountry(int value)

  Sets the value of the country property.

### getCountryName

    public String getCountryName()

  Gets the value of the countryName property.

  Returns:
    possible object is `String`

### setCountryName

    public void setCountryName(String value)

  Sets the value of the countryName property.

  Parameters:
    `value` - allowed object is `String`

### getAddressString

    public String getAddressString()

  Gets the value of the addressString property.

  Returns:
    possible object is `String`

### setAddressString

    public void setAddressString(String value)

  Sets the value of the addressString property.

  Parameters:
    `value` - allowed object is `String`

### getInsCode

    public Integer getInsCode()

  Gets the value of the insCode property.

  Returns:
    possible object is `Integer`

### setInsCode

    public void setInsCode(Integer value)

  Sets the value of the insCode property.

  Parameters:
    `value` - allowed object is `Integer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.